Bug 446161 - 'info frame' subcommand is slow if the library with great many symbols is linked.
'info frame' subcommand is slow if the library with great many symbols is lin...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdb (Show other bugs)
All Linux
urgent Severity high
: rc
: ---
Assigned To: Jan Kratochvil
: ZStream
Depends On: 431374
  Show dependency treegraph
Reported: 2008-05-13 02:20 EDT by RHEL Product and Program Management
Modified: 2008-05-21 12:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0283
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 12:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2008-05-13 02:20:32 EDT
This bug has been copied from bug #431374 and has been proposed
to be backported to 5.2 z-stream (EUS).
Comment 3 Jan Kratochvil 2008-05-14 05:19:12 EDT
Committed/built to the Z-stream:
* Tue May 13 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.5-37.1
- Performance optimize the PC minimal symbol lookup (BZ 446161).

ia64 test for: gdb-6.5-37.el5.ia64
==> time_nolink <==

real	0m0.127s
user	0m0.090s
sys	0m0.037s

==> time_link <==

real	0m5.655s
user	0m5.585s
sys	0m0.070s

ia64 test for: gdb-6.5-37.el5_2.1.ia64
==> time_nolink <==

real	0m0.238s
user	0m0.058s
sys	0m0.033s

==> time_link <==

real	0m0.739s
user	0m0.490s
sys	0m0.078s
Comment 7 errata-xmlrpc 2008-05-21 12:21:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.